"""Common types for FRED registry."""
from .common import BaseId, BaseModel, GenericModel
from .logger import LogEntryId
from .registry import (
    BaseObjectHistoryId,
    BaseObjectId,
    ContactHistoryId,
    ContactId,
    ContactRef,
    DomainHistoryId,
    DomainId,
    DomainRef,
    KeysetHistoryId,
    KeysetId,
    KeysetRef,
    NssetHistoryId,
    NssetId,
    NssetRef,
    RegistrarId,
    RegistryObjectType,
    RepresentativeHistoryId,
    RepresentativeId,
)

__version__ = "1.1.2"

__all__ = [
    "BaseId",
    "BaseModel",
    "BaseObjectHistoryId",
    "BaseObjectId",
    "ContactHistoryId",
    "ContactId",
    "ContactRef",
    "DomainHistoryId",
    "DomainId",
    "DomainRef",
    "GenericModel",
    "KeysetHistoryId",
    "KeysetId",
    "KeysetRef",
    "LogEntryId",
    "NssetHistoryId",
    "NssetId",
    "NssetRef",
    "RegistrarId",
    "RegistryObjectType",
    "RepresentativeHistoryId",
    "RepresentativeId",
]
